
QGIS Application - Bug report #3435

GDAL - warp fails

2011-01-24 03:10 AM - jeq -

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13495

Description

Warp of raster geotiff fails...

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\PROGRA~2\\QUANTU~1\\apps\\qgis\\python\\plugins\\GdalTools\\tools\\doWarp.py", line 108, in fillInputFile

    self.refreshSourceSRS()

  File "C:\\PROGRA~2\\QUANTU~1\\apps\\qgis\\python\\plugins\\GdalTools\\tools\\doWarp.py", line 154, in refreshSourceSRS

    crs = Utils.getRasterSRS( self, self.getInputFileName() )

  File "C:\\PROGRA~2\\QUANTU~1\\apps\\qgis\\python\\plugins\\GdalTools\\tools\\GdalTools_utils.py", line 182, in getRasterSRS

    srs = info[ info.count() - 1 ]

[[UnboundLocalError]]: local variable 'info' referenced before assignment

Python version:

2.5.1 (r251:54863, Apr 18 2007, 08:51:08) [MSC v.1310 32 bit (Intel)]

QGIS version:

1.6.0-Capiapo Capiapo, exported

Python path: ['C:/PROGRA~2/QUANTU~1/apps/qgis/./python', 'C:/Users/Jamey/.qgis/python', 'C:/Users/Jamey/.qgis/python/plugins',

'C:/PROGRA~2/QUANTU~1/apps/qgis/./python/plugins', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\gdal-17\\\\pymod', 'C:\\\\Program

Files (x86)\\\\ArcGIS\\\\bin', 'C:\\\\windows\\\\system32\\\\python25.zip', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\DLLs',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\plat-win',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\qgis\\\\bin',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25', 'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\Users\\\\Jamey\\\\.qgis\\\\python\\\\plugins\\\\imgboundary\\\\logic',

'C:\\\\Users\\\\Jamey\\\\.qgis\\\\python\\\\plugins\\\\imgboundary\\\\gui',

'C:\\\\PROGRA~2\\\\QUANTU~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools',

'C:/Users/Jamey/Documents/Kyrgyzstan/Maps/Maps']

--------------

running windows 7, QGIS 1.6

History
#1 - 2011-02-08 04:27 PM - nelson -

This may be related to ticket 3476; try setting the GDAL binary path.

#2 - 2011-03-02 07:05 AM - Paolo Cavallini

Please try the above mentioned operation and report back.

#3 - 2011-03-13 05:25 AM - Giuseppe Sucameli

- Resolution set to invalid

- Status changed from Open to Closed

This issue was pointed out in mailing list and fixed some time ago.

The latest [[GdalTools]] versions work fine.
